Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.results
Class QueryHaltedProcessInstancesResult

    java.lang.Object
      com.tibco.bpm.web.client.services.results.QueryHaltedProcessInstancesResult

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, net.customware.gwt.dispatch.shared.Result

    public class QueryHaltedProcessInstancesResult

extends java.lang.Object
implements net.customware.gwt.dispatch.shared.Result

Contains list of halted process instances that match certain criteria specified in the Query.

©2012 TIBCO Software Inc.

Since:
  2012

Constructor Summary
`QueryHaltedProcessInstancesResult(java.util.ArrayList<HaltedProcessInstanceData> haltedProcessInstanceDatas, int pagingId)` Constructor for QueryHaltedProcessInstancesResult.

Method Summary
`java.util.ArrayList<HaltedProcessInstanceData>` | `getHaltedProcessInstanceDatas()` Gets a list of HaltedProcessInstanceData.
`int` | `getPagingId()` Gets paging id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryHaltedProcessInstancesResult

    public QueryHaltedProcessInstancesResult(java.util.ArrayList<HaltedProcessInstanceData> haltedProcessInstanceDatas,
                                             int pagingId)

  Constructor for QueryHaltedProcessInstancesResult.

  Parameters:
    `haltedProcessInstanceDatas` -
    `pagingId` -

Method Detail

### getHaltedProcessInstanceDatas

    public java.util.ArrayList<HaltedProcessInstanceData> getHaltedProcessInstanceDatas()

  Gets a list of HaltedProcessInstanceData.

  Returns:

### getPagingId

    public int getPagingId()

  Gets paging id.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.